groovy.util.slurpersupport

## Class NodeIterator

- java.lang.Object
- - groovy.util.slurpersupport.NodeIterator

All Implemented Interfaces:
  java.util.Iterator

    public abstract class NodeIterator
    extends java.lang.Object
    implements java.util.Iterator

Helper class for iterating through nodes.

### Constructor Summary

Constructors
Constructor and Description
`NodeIterator(java.util.Iterator iter)`

### Method Summary

Methods
`protected abstract java.lang.Object` `getNextNode(java.util.Iterator iter)`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeIterator

    public NodeIterator(java.util.Iterator iter)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator`

#### next

    public java.lang.Object next()

Specified by:
  `next` in interface `java.util.Iterator`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator`

#### getNextNode

    protected abstract java.lang.Object getNextNode(java.util.Iterator iter)